Last Comment Bug 735124 - Fix "does't" spelling
: Fix "does't" spelling
Status: RESOLVED FIXED
[good first bug][mentor=sgautherie] [...
:
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: All All
: P4 trivial (vote)
: Thunderbird 15.0
Assigned To: Nagarjuna Varma [:Infinity]
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 18:01 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-05-08 15:39 PDT (History)
5 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch with missing file (7.47 KB, patch)
2012-04-03 10:27 PDT, Nagarjuna Varma [:Infinity]
bugzillamozillaorg_serge_20140323: feedback+
Details | Diff | Review
My new patch(not yet tested) (7.47 KB, patch)
2012-04-12 11:32 PDT, Nagarjuna Varma [:Infinity]
standard8: review+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2012-03-12 18:01:01 PDT
Use "doesn't".

"Found 10 matching lines in 9 files"
Comment 1 Pallani Kumaran 2012-03-13 13:33:54 PDT
Hello. I would like to work on this bug.
Comment 2 Serge Gautherie (:sgautherie) 2012-03-13 13:51:30 PDT
Just do.
Comment 3 Serge Gautherie (:sgautherie) 2012-03-15 20:01:31 PDT
I'm not sure whether libtheora is "upstream" or not.
nss is a separate (managed) project.
mail and mailnews can be done together or separately (bugs or patches).
Comment 4 Nagarjuna Varma [:Infinity] 2012-04-03 10:27:31 PDT
Created attachment 611871 [details] [diff] [review]
Patch with missing file

I have a problem with the content in source/mozilla/media/libtheora/lib/x86/x86int.h
I have http://pastebin.mozilla.org/1552263 as opposed to http://mxr.mozilla.org/comm-central/source/mozilla/media/libtheora/lib/x86/x86int.h
Could you tell me what could have gone wrong?
I updated my source as well. I cloned it from http://hg.mozilla.org/releases/comm-1.9.2/
Comment 5 Daniel Holbert [:dholbert] 2012-04-03 10:51:31 PDT
A few things:

 (1) comm-1.9.2 (which you cloned from) is old (whatever the Thunderbird equivalent of Firefox 3.6)  It's only taking security fixes, I believe -- you don't want to do any work off of that branch.

 (2) comm-central (which your MXR link points to) is "downstream" from the main Mozilla repository -- it's Thunderbird/Seamonkey-specific.  So -- unless you're touching mail/seamonkey-specific code, you don't want to be basing a patch against comm-central.  libtheora isn't in the mail/seamonkey-specific category, so you don't want to be using comm-central for that.

 (3) libtheora itself might be snapshotted from an outside-of-mozilla source -- I'm not sure (?)  I think that's what serge was saying in comment 3.  In particular, see this file:
  http://mxr.mozilla.org/mozilla-central/source/media/libtheora/README_MOZILLA
It says we snapshot libtheora from upstream.  I'm not sure on how to get patches into libtheora, but I suspect you don't want to do it in Mozilla code, or else your change will just get stomped on the next time we update.

So: basically, I'd suggest asking in irc.mozilla.org #media and/or digging around http://www.xiph.org/ to find out how to contribute patches upstream to libtheora. :)  That, or just ignore libtheora for the purpose of this bug.
Comment 6 Nagarjuna Varma [:Infinity] 2012-04-03 11:00:27 PDT
Let me see what  can do about the libtheora. :bwinton was just telling me about my mistake. He thinks I should download comm-central. So I am going to do that. Thanks for the suggestion on libtheora. Feedback is what I most want :) Hopefully :sgautherie or someone can help us out with it ! :)
Comment 7 Serge Gautherie (:sgautherie) 2012-04-03 13:56:56 PDT
Comment on attachment 611871 [details] [diff] [review]
Patch with missing file

Per previous comments,
ensure this applies cleanly to comm-central;
and ignore libtheora wrt this bug.
Comment 8 Serge Gautherie (:sgautherie) 2012-04-03 13:58:35 PDT
(In reply to Serge Gautherie (:sgautherie) from comment #3)
> nss is a separate (managed) project.

nss seems to have been fixed in the meantime.
Comment 10 Nagarjuna Varma [:Infinity] 2012-04-04 08:39:28 PDT
So you just want me to make the corrections in the files indicated by the path specified by the URL and do the diff ?
I am downloading the appropriate repo.
I will do the patch once I am done.
Comment 11 Nagarjuna Varma [:Infinity] 2012-04-12 10:02:25 PDT
I have downloaded the right repo and generated the patch. What tests do I have to perform to check if the patch I have generated fits in?
Comment 12 Nagarjuna Varma [:Infinity] 2012-04-12 11:32:02 PDT
Created attachment 614470 [details] [diff] [review]
My new patch(not yet tested)

I would like to know if I have to perform any tests to check the validity of this patch.
Comment 13 Daniel Holbert [:dholbert] 2012-04-12 11:47:48 PDT
(In reply to Arjun from comment #12)
> I would like to know if I have to perform any tests to check the validity of
> this patch.

No testing necessary for comment-only patches, which this basically is. (aside from the log() tweak, which is just tweaking a logged string and is hence non-scary/not needed to be tested)
Comment 14 Mark Banner (:standard8) 2012-04-19 04:45:06 PDT
Comment on attachment 614470 [details] [diff] [review]
My new patch(not yet tested)

Review of attachment 614470 [details] [diff] [review]:
-----------------------------------------------------------------

Sorry for the delay in getting to this. r=Standard8
Comment 15 Ryan VanderMeulen [:RyanVM] 2012-05-05 10:21:26 PDT
Thanks for the patch, Arjun! The tree is closed at the moment, but I will land your patch as soon as it reopens. One request - please make sure that your future patches have the patch metadata in them (your name, patch description, etc) as mentioned by the link from comment 9. It makes life easier for those checking in patches on your behalf.
Comment 16 Nagarjuna Varma [:Infinity] 2012-05-05 22:12:30 PDT
Ryan VanderMeulen: Sorry about that. Will include the metadata in my future patches.
Looking forward to when the tree will reopen so that my patch gets published. Thanks a lot for the check in on my behalf.
Comment 17 Ryan VanderMeulen [:RyanVM] 2012-05-08 15:39:17 PDT
http://hg.mozilla.org/comm-central/rev/471d5b7228dc

Note You need to log in before you can comment on or make changes to this bug.